function closeFigure(hFig, hTimer)
%% closeFigure close figure and delete timer.
% Timer is stopped to be sure that it does not run after closing the figure. It
% enables to ommit periadical check if the figure exists during timer function
% execution.
%
%  INPUTS:
%   hFig: reference to uifigure, Figure [1 x 1]
%   hTimer: reference to timer, timer [1 x 1]
%
% © 2020, Viktor Adler, CTU in Prague, adlervik@fel.cvut.cz

stop(hTimer);
delete(hTimer);
delete(hFig);
end